import { ComponentChildren } from "preact";
import { Footer, Header } from "../../components";

type ChildrenProps = {
  children: ComponentChildren
}

function DefaultLayout({ children }: ChildrenProps) {
  return (
    <>
      <Header />
      <main style={{ overflow: 'hidden' }}>
        {children}
      </main>
      <Footer />
    </>
  )
}

export default DefaultLayout;